---
- name : install nginx
  hosts: NGINX
  become: true
  gather_facts: yes
  
  tasks:
  - name: install nginx
    yum: 
      name: nginx
      state: present

  - name: Activate NGINX
    service:
      name: nginx
      state: started

  - name: Insert index page
    template:
      src: index.html.j2
      dest: /usr/share/nginx/html/index.html